TextilePHP: Textile class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members

# Textile Class Reference

Class wrapper for the Textile functionality. More...

Inheritance diagram for Textile:

List of all members.

## Public Member Functions
| Textile ($options=array())
| set ($opt, $value=NULL)
| get ($opt)
| disable_html ($disable_html=NULL)
| head_offset ($head_offset=NULL)
| flavor ($flavor=NULL)
| css ($css=NULL)
| charset ($charset=NULL)
| docroot ($docroot=NULL)
| trim_spaces ($trim_spaces=NULL)
| filter_param ($filter_param=NULL)
| preserve_spaces ($preserve_spaces=NULL)
| filters ($filters=NULL)
| char_encoding ($char_encoding=NULL)
| handle_quotes ($do_quotes=NULL)
| process ($str)
## Static Public Member Functions
| version ()
## Public Attributes
| $Have_Entities = 1
## Private Member Functions
| _create_re ()
| format_paragraph ($args)
| format_inline ($args)
| format_macro ($attrs)
| format_cite ($args)
| format_code ($args)
| format_classstyle ($clsty=NULL, $class=NULL, $style=NULL)
| format_tag ($args)
| format_deflist ($args)
| add_term ($dt, $dd)
| format_list ($args)
| format_block ($args)
| format_link ($args)
| format_url ($args)
| format_span ($args)
| format_image ($args)
| format_table ($args)
| apply_filters ($args)
| encode_html ($html, $can_double_encode=FALSE)
| decode_html ($html)
| encode_html_basic ($html, $can_double_encode=FALSE)
| image_size ($file)
| encode_url ($str)
| mail_encode ($addr)
| process_quotes ($str)
| default_macros ()
| _css_defaults ()
| _halign ($align)
| _valign ($align)
| _imgalign ($align)
| _strip_borders (&$pre, &$post)
| _repl (&$array, $str)
| _tokenize ($str)
| _cb ($function)
## Static Private Member Functions
& | _current_store (&$new)
& | _current ()
## Private Attributes
| $options = array()
| $urlre
| $punct
| $valignre
| $tblalignre
| $halignre
| $alignre
| $imgalignre
| $clstypadre
| $clstyre
| $clstyfiltre
| $codere
| $blocktags
| $links = array()
| $repl = array()
| $tmp = array()

## Detailed Description

Class wrapper for the Textile functionality.

The Textile class serves as a wrapper for all Textile functionality. It is not inherently necessary that Textile be a class; however, this is as close as one can get to a namespace in PHP. Wrapping the functionality in a class prevents name collisions and dirtying of the global namespace. The Textile class uses no global variables and will not have any side-effects on other code.

Definition at line 30 of file Textile.php.

## Constructor & Destructor Documentation

Textile::Textile | ( | $ | options = `array()` | ) |

  | Instantiates a new Textile object. Optional options can be passed to initialize the object. Attributes for the options key are the same as the get/set method names documented here. Parameters:
  | $options | The `array` specifying the options to use for this object.
Definition at line 186 of file Textile.php. References $options, _create_re(), char_encoding(), charset(), css(), default_macros(), filters(), flavor(), head_offset(), preserve_spaces(), and trim_spaces().

## Member Function Documentation

Textile::_cb | ( | $ | function | ) | `[private]`

  | Creates a custom callback function from the provided PHP code. The result is used as the callback in `preg_replace_callback` calls. *JHR* Parameters:
  | $function | A `string` specifying the PHP code for the function body.
Returns: A `function` to be used for the callback. Definition at line 3243 of file Textile.php. References _current(), and _current_store().

Textile::_create_re | ( |  | ) | `[private]`

| Creates the class variable regular expression patterns used by Textile. They are not initialized in the declaration, because some rely on the others, requiring a `$this` reference. PHP does not have the Perl qr operator to quote or precompile patterns, so to avoid escaping and matching problems, all patterns must use the same delimiter; this implementation uses {}. Every use of these patterns within this class has been changed to use these delimiters. *JHR* Definition at line 599 of file Textile.php. Referenced by Textile().

Textile::_css_defaults | ( |  | ) | `[private]`

| Sets the default CSS names for CSS controlled markup. This is an internal function that should not be called directly. Definition at line 2980 of file Textile.php. Referenced by css(), and flavor().

& Textile::_current | ( |  | ) | `[static, private]`

| Returns the "current" Textile object. This is used within anonymous callback functions which cannot have the scope of a specific object. *JHR* Returns: An `object` reference to the current Textile object. Definition at line 3283 of file Textile.php. References _current_store(). Referenced by _cb().

& Textile::_current_store | ( | &$ | new | ) | `[static, private]`

  | Stores a static variable for the Textile class. This helper function is used by `_current` to simulate a static class variable in PHP. *JHR* Parameters:
  | $new | If a non-`NULL` object reference, the Textile object to be set as the current object.
Returns: The `array` containing a reference to the current Textile object at index 0. An array is used because PHP does not allow static variables to be references. Definition at line 3263 of file Textile.php. Referenced by _cb(), and _current().

Textile::_halign | ( | $ | align | ) | `[private]`

  | Returns the alignment keyword depending on the symbol passed. `<>` becomes 'justify' `<` becomes 'left' `>` becomes 'right' `=` becomes 'center' Parameters:
  | $align | A `string` specifying the alignment code.
Returns: A `string` containing the alignment text. Definition at line 3025 of file Textile.php.

Textile::_imgalign | ( | $ | align | ) | `[private]`

  | Returns the alignment keyword depending on the symbol passed. The following alignment symbols are recognized, and given preference in the order listed: `^` becomes 'top' `~` becomes 'bottom' `-` becomes 'middle' `<` becomes 'left' `>` becomes 'right' Parameters:
  | $align | A `string` containing the alignment code.
Returns: A `string` containing the alignment text. Definition at line 3109 of file Textile.php.

Textile::_repl | ( | &$ | array,
|  | $ | str
| ) | `[private]`

  | An internal routine that takes a string and appends it to an array. It returns a marker that is used later to restore the preserved string. Parameters:
  | $array | The `array` in which to store the replacement text.
  | $str | A `string` specifying the replacement text.
Returns: A `string` containing a temporary marker for the replacement. Definition at line 3162 of file Textile.php.

Textile::_strip_borders | ( | &$ | pre,
|  | &$ | post
| ) | `[private]`

| This utility routine will take 'border' characters off of the given `$pre` and `$post` strings if they match one of these conditions:
         $pre starts with '[', $post ends with ']'
         $pre starts with '{', $post ends with '}'
  If neither condition is met, then the `$pre` and `$post` values are left untouched. Parameters:
  | $pre | A `string` specifying the prefix.
  | $post | A `string` specifying the postfix.
Definition at line 3130 of file Textile.php.

Textile::_tokenize | ( | $ | str | ) | `[private]`

  | An internal routine responsible for breaking up a string into individual tag and plaintext elements. Parameters:
  | $str | A `string` specifying the text to tokenize.
Returns: An `array` containing the tag and text tokens. Definition at line 3177 of file Textile.php.

Textile::_valign | ( | $ | align | ) | `[private]`

  | Returns the alignment keyword depending on the symbol passed. `^` becomes 'top' `~` becomes 'bottom' `-` becomes 'middle' Parameters:
  | $align | A `string` specifying the alignment code.
Returns: A `string` containing the alignment text. Definition at line 3063 of file Textile.php.

Textile::add_term | ( | $ | dt,
|  | $ | dd
| ) | `[private]`

  | Processes a single definition list item from the provided term and definition. Parameters:
  | $dt | A `string` specifying the term to be defined.
  | $dd | A `string` specifying the definition for the term.
Returns: A `string` containing the formatted definition list item. Definition at line 1824 of file Textile.php.

Textile::apply_filters | ( | $ | args | ) | `[private]`

  | The following attributes are allowed: text The text to be processed. filters An array reference of filter names to run for the given text. Parameters:
  | $args | An `array` specifying the text and filters to apply.
Returns: A `string` containing the filtered text. Definition at line 2617 of file Textile.php.

Textile::char_encoding | ( | $ | char_encoding = `NULL` | ) |

  | Gets or sets the character encoding logical flag. If character encoding is enabled, the htmlentities function is used to encode special characters. If character encoding is disabled, only <, >, " and & are encoded to HTML entities. Parameters:
  | $char_encoding | If provided, a `bool` indicating whether or not this object should encode special characters.
Returns: A true value if this object encodes special characters; a false value otherwise. Definition at line 558 of file Textile.php. References char_encoding(). Referenced by char_encoding(), charset(), and Textile().

Textile::charset | ( | $ | charset = `NULL` | ) |

  | Gets or sets the character set targetted for publication. At this time, Textile only changes its behavior if the 'utf-8' character set is assigned. Specifically, if utf-8 is requested, any special characters created by Textile will be output as native utf-8 characters rather than HTML entities. Parameters:
  | $charset | If provided, a `string` specifying the characater set to be used for this object.
Returns: A `string` containing the character set for this object. Definition at line 433 of file Textile.php. References char_encoding(), and charset(). Referenced by charset(), set(), and Textile().

Textile::css | ( | $ | css = `NULL` | ) |

  | Gets or sets the css support for Textile. If css is enabled, Textile will emit CSS rules. You may pass a 1 or 0 to enable or disable CSS behavior altogether. If you pass an associative array, you may assign the CSS class names that are used by Textile. The following key names for such an array are recognized: class_align_right defaults to 'right' class_align_left defaults to 'left' class_align_center defaults to 'center' class_align_top defaults to 'top' class_align_bottom defaults to 'bottom' class_align_middle defaults to 'middle' class_align_justify defaults to 'justify' class_caps defaults to 'caps' class_footnote defaults to 'footnote' id_footnote_prefix defaults to 'fn' Parameters:
  | $css | If provided, either a `bool` indicating whether or not this object should use css or an associative `array` specifying class names to use.
Returns: Either an associative `array` containing class names used by this object, or a true or false value indicating whether or not this object uses css. Definition at line 404 of file Textile.php. References _css_defaults(), and css(). Referenced by css(), flavor(), set(), and Textile().

Textile::decode_html | ( | $ | html | ) | `[private]`

  | Decodes HTML entities in `$html` to their natural character equivalents. Parameters:
  | $html | A `string` specifying the HTML to be decoded.
Returns: A `string` containing the decode HTML Definition at line 2674 of file Textile.php.

Textile::default_macros | ( |  | ) | `[private]`

| Returns an associative `array` of macros that are assigned to be processed by default within the `format_inline` method. Returns: An `array` containing the default macros. Definition at line 2807 of file Textile.php. Referenced by Textile().

Textile::disable_html | ( | $ | disable_html = `NULL` | ) |

  | Gets or sets the "disable html" control, which allows you to prevent HTML tags from being used within the text processed. Any HTML tags encountered will be removed if disable html is enabled. Default behavior is to allow HTML. Parameters:
  | $disable_html | If provided, a `bool` indicating whether or not this object should disable HTML.
Returns: A true value if this object disables HTML; a false value otherwise. Definition at line 269 of file Textile.php. References disable_html(). Referenced by disable_html().

Textile::docroot | ( | $ | docroot = `NULL` | ) |

  | Gets or sets the physical file path to root of document files. This path is utilized when images are referenced and size calculations are needed (the getimagesize() function is used to read the image dimensions). Parameters:
  | $docroot | If provided, a `string` specifying the document root to use for this object.
Returns: A `string` containing the docroot for this object. Definition at line 458 of file Textile.php. References docroot(). Referenced by docroot().

Textile::encode_html | ( | $ | html,
|  | $ | can_double_encode = `FALSE`
| ) | `[private]`

  | Encodes input `$html` string, escaping characters as needed to HTML entities. This relies on the `htmlentities` function for full effect. If unavailable, `encode_html_basic` is used as a fallback technique. If the "char_encoding" flag is set to false, `encode_html_basic` is used exclusively. Parameters:
  | $html | A `string` specifying the HTML to be encoded.
  | $can_double_encode | If provided, a `bool` indicating whether or not ampersand characters should be unconditionally encoded.
Returns: A `string` containing the encoded HTML. Definition at line 2654 of file Textile.php.

Textile::encode_html_basic | ( | $ | html,
|  | $ | can_double_encode = `FALSE`
| ) | `[private]`

  | Encodes the input `$html` string for the following characters: <, >, & and ". If `$can_double_encode` is true, all ampersand characters are escaped even if they already were. If `$can_double_encode` is false, ampersands are only escaped when they aren't part of a HTML entity already. Parameters:
  | $html | A `string` specifying the HTML to be encoded.
  | $can_double_encode | If provided, a `bool` indicating whether or not ampersand characters should be unconditionally encoded.
Returns: A `string` containing the encoded HTML. Definition at line 2698 of file Textile.php.

Textile::encode_url | ( | $ | str | ) | `[private]`

  | Encodes the query portion of a URL, escaping characters as necessary. Parameters:
  | $str | A `string` specifying the URL to be encoded.
Returns: A `string` containing the encoded URL. Definition at line 2757 of file Textile.php.

Textile::filter_param | ( | $ | filter_param = `NULL` | ) |

  | Gets or sets a parameter that is passed to filters. Parameters:
  | $filter_param | If provided, a parameter that this object should pass to filters.
Returns: The parameter this object passes to filters. Definition at line 495 of file Textile.php. References filter_param(). Referenced by filter_param().

Textile::filters | ( | $ | filters = `NULL` | ) |

  | Gets or sets a list of filters to make available for Textile to use. Returns a hash reference of the currently assigned filters. Parameters:
  | $filters | If provided, an `array` of filters to be used for this object.
Returns: An `array` containing the filters for this object. Definition at line 537 of file Textile.php. References filters(). Referenced by filters(), and Textile().

Textile::flavor | ( | $ | flavor = `NULL` | ) |

  | Assigns the HTML flavor of output from Textile. Currently these are the valid choices: html, xhtml (behaves like "xhtml1"), xhtml1, xhtml2. Default flavor is "xhtml1". Note that the xhtml2 flavor support is experimental and incomplete (and will remain that way until the XHTML 2.0 draft becomes a proper recommendation). Parameters:
  | $flavor | If provided, a `string` specifying the flavor to be used for this object.
Returns: A `string` containing the flavor for this object. Definition at line 313 of file Textile.php. References _css_defaults(), css(), and flavor(). Referenced by flavor(), set(), and Textile().

Textile::format_block | ( | $ | args | ) | `[private]`

| Processes '==xxxxx==' type blocks for filters. A filter would follow the open '==' sequence and is specified within pipe characters, like so:
         ==|filter|text to be filtered==
  You may specify multiple filters in the filter portion of the string. Simply comma delimit the filters you desire to execute. Filters are defined using the filters method. Parameters:
  | $args | An `array` specifying the attributes for formatting the block.
Returns: A `string` containing the formatted block. Definition at line 2003 of file Textile.php.

Textile::format_cite | ( | $ | args | ) | `[private]`

  | Processes text for a citation tag. The following attributes are allowed: pre Any text that comes before the citation. text The text that is being cited. cite The URL of the citation. post Any text that follows the citation. Parameters:
  | $args | An `array` specifying the attributes for formatting the citation.
Returns: A `string` containing the formatted citation. Definition at line 1570 of file Textile.php.

Textile::format_classstyle | ( | $ | clsty = `NULL`,
|  | $ | class = `NULL`,
|  | $ | style = `NULL`
| ) | `[private]`

  | Returns a string of tag attributes to accomodate the class, style and symbols present in `$clsty`. `$clsty` is checked for: `{...}` style rules. If present, they are appended to `$style`. `(...#...)` class and/or ID name declaration `(` (one or more) pad left characters `)` (one or more) pad right characters `[ll]` language declaration The attribute string returned will contain any combination of class, id, style and/or lang attributes. Parameters:
  | $clsty | A `string` specifying the class/style to process.
  | $class | A `string` specifying the predetermined class.
  | $style | A `string` specifying the predetermined style.
Returns: A `string` containing the formatted class, ID, style, and/or language. Definition at line 1662 of file Textile.php.

Textile::format_code | ( | $ | args | ) | `[private]`

  | Processes '@...@' type blocks (code snippets). The following attributes are allowed: text The text of the code itself. lang The language (programming language) for the code. Parameters:
  | $args | An `array` specifying the attributes for formatting the code.
Returns: A `string` containing the formatted code. Definition at line 1610 of file Textile.php.

Textile::format_deflist | ( | $ | args | ) | `[private]`

  | Takes a Textile formatted definition list and returns the markup for it. Arguments accepted: text The text to be processed. Parameters:
  | $args | An `array` specifying the attributes for formatting the definition list.
Returns: A `string` containing the formatted definition list. Definition at line 1782 of file Textile.php.

Textile::format_image | ( | $ | args | ) | `[private]`

  | Returns markup for the given image. `$src` is the location of the image, `$extra` contains the optional height/width and/or alt text. `$url` is an optional hyperlink for the image. `$class` holds the optional CSS class attribute. Arguments you may pass: src The 'src' (URL) for the image. This may be a local path, ideally starting with a '/'. Images can be located within the file system if the docroot method is used to specify where the docroot resides. If the image can be found, the image_size method is used to determine the dimensions of the image. extra Additional parameters for the image. This would include alt text, height/width specification or scaling instructions. align Alignment attribute. pre Text to produce prior to the tag. post Text to produce following the tag. link Optional URL to connect with the image tag. clsty Class and/or style attributes. Parameters:
  | $args | An `array` specifying the attributes for formatting the image.
Returns: A `string` containing the formatted image. Definition at line 2186 of file Textile.php.

Textile::format_inline | ( | $ | args | ) | `[private]`

  | Processes an inline string (plaintext) for Textile syntax. The following attributes are allowed: text The text to be processed. Parameters:
  | $args | An `array` specifying the attributes for formatting the inline string.
Returns: A `string` containing the formatted inline string. Definition at line 1298 of file Textile.php.

Textile::format_link | ( | $ | args | ) | `[private]`

  | Takes the Textile link attributes and transforms them into a hyperlink. Parameters:
  | $args | An `array` specifying the attributes for formatting the link.
Returns: A `string` containing the formatted link. Definition at line 2043 of file Textile.php.

Textile::format_list | ( | $ | args | ) | `[private]`

  | Takes a Textile formatted list (numeric or bulleted) and returns the markup for it. Text that is passed in requires substantial parsing, so the `format_list` method is a little involved. But it should always produce a proper ordered or unordered list. If it cannot (due to misbalanced input), it will return the original text. Arguments accepted: text The text to be processed. Parameters:
  | $args | An `array` specifying the attributes for formatting the list.
Returns: A `string` containing the formatted list. Definition at line 1883 of file Textile.php.

Textile::format_macro | ( | $ | attrs | ) | `[private]`

  | Responsible for processing a particular macro. Arguments passed include: pre open brace character post close brace character macro the macro to be executed The return value from this method would be the replacement text for the macro given. If the macro is not defined, it will return pre + macro + post, thereby preserving the original macro string. Parameters:
  | $attrs | An `array` containing the attributes for formatting the macro.
Returns: A `string` containing the formatted macro. Definition at line 1530 of file Textile.php.

Textile::format_paragraph | ( | $ | args | ) | `[private]`

  | Processes a single paragraph. The following attributes are allowed: text The text to be processed. Parameters:
  | $args | An `array` specifying the attributes for formatting the paragraph.
Returns: A `string` containing the formatted paragraph. Definition at line 1202 of file Textile.php.

Textile::format_span | ( | $ | args | ) | `[private]`

| Takes a Textile formatted span and returns the markup for it. Returns: A `string` containing the formatted span. Definition at line 2102 of file Textile.php.

Textile::format_table | ( | $ | args | ) | `[private]`

  | Takes a Wiki-ish string of data and transforms it into a full table. Parameters:
  | $args | An `array` specifying the attributes for formatting the table.
Returns: A `string` containing the formatted table. Definition at line 2317 of file Textile.php.

Textile::format_tag | ( | $ | args | ) | `[private]`

  | Constructs an HTML tag. Accepted arguments: tag the tag to produce text the text to output inside the tag pre text to produce before the tag post text to produce following the tag clsty class and/or style attributes that should be assigned to the tag. Parameters:
  | $args | `array` specifying the attributes for formatting the tag.
Returns: A `string` containing the formatted tag. Definition at line 1749 of file Textile.php.

Textile::format_url | ( | $ | args | ) | `[private]`

  | Takes the given `$url` and transforms it appropriately. Parameters:
  | $args | An `array` specifying the attributes for formatting the url.
Returns: A `string` containing the formatted url. Reimplemented in MTLikeTextile. Definition at line 2081 of file Textile.php.

Textile::get | ( | $ | opt | ) |

  | Used to get Textile attributes. Attribute names are the same as the get/set method names documented here. Parameters:
  | $opt | A `string` specifying the name of the option to get.
Returns: The value for the provided option. Definition at line 251 of file Textile.php. References get(). Referenced by get().

Textile::handle_quotes | ( | $ | do_quotes = `NULL` | ) |

  | Gets or sets the "smart quoting" control flag. Returns the current setting. Parameters:
  | $do_quotes | If provided, a `bool` indicating whether or not this object should use smart quoting.
Returns: A true value if this object uses smart quoting; a false value otherwise. Definition at line 577 of file Textile.php. References handle_quotes(). Referenced by handle_quotes().

Textile::head_offset | ( | $ | head_offset = `NULL` | ) |

  | Gets or sets the relative heading offset, which allows you to change the heading level used within the text processed. For example, if the heading offset is '2' and the text contains an 'h1' block, an <h3> block will be output. Parameters:
  | $head_offset | If provided, an `integer` specifying the heading offset for this object.
Returns: An `integer` containing the heading offset for this object. Definition at line 290 of file Textile.php. References head_offset(). Referenced by head_offset(), and Textile().

Textile::image_size | ( | $ | file | ) | `[private]`

  | Returns the size for the image identified in `$file`. This method relies upon the `getimagesize` function. If unavailable, `image_size` will return `NULL`. Otherwise, the expected return value is an array of the width and height (in that order), in pixels. Parameters:
  | $file | A `string` specifying the path or URL for the image file.
Returns: An `array` containing the width and height (respectively) of the image. Definition at line 2729 of file Textile.php.

Textile::mail_encode | ( | $ | addr | ) | `[private]`

  | Encodes the email address in `$addr` for 'mailto:' links. Parameters:
  | $addr | A `string` specifying the email address to encode.
Returns: A `string` containing the encoded email address. Definition at line 2773 of file Textile.php.

Textile::preserve_spaces | ( | $ | preserve_spaces = `NULL` | ) |

  | Gets or sets the 'preserve spaces' control flag. If enabled, this will replace any double spaces within the paragraph data with the &amp;#8195; HTML entity (wide space). The default is 0. Spaces will pass through to the browser unchanged and render as a single space. Note that this setting has no effect on spaces within <pre>, <code> blocks or <script> sections. Parameters:
  | $preserve_spaces | If provided, a `bool` indicating whether or not this object should preserve spaces.
Returns: A true value if this object preserves spaces; a false value otherwise. Definition at line 518 of file Textile.php. References preserve_spaces(). Referenced by preserve_spaces(), and Textile().

Textile::process | ( | $ | str | ) |

  | Transforms the provided text using Textile markup rules. Parameters:
  | $str | The `string` specifying the text to process.
Returns: A `string` containing the processed (X)HTML. Definition at line 746 of file Textile.php.

Textile::process_quotes | ( | $ | str | ) | `[private]`

  | Processes string, formatting plain quotes into curly quotes. Parameters:
  | $str | A `string` specifying the text to process.
Returns: A `string` containing the processed text. Reimplemented in MTLikeTextile. Definition at line 2790 of file Textile.php.

Textile::set | ( | $ | opt,
|  | $ | value = `NULL`
| ) |

  | Used to set Textile attributes. Attribute names are the same as the get/set method names documented here. Parameters:
  | $opt | A `string` specifying the name of the option to change or an `array` specifying options and values.
  | $value | The value for the provided option name.
Definition at line 221 of file Textile.php. References charset(), css(), flavor(), and set(). Referenced by set().

Textile::trim_spaces | ( | $ | trim_spaces = `NULL` | ) |

  | Gets or sets the 'trim spaces' control flag. If enabled, this will clear any lines that have only spaces on them (the newline itself will remain). Parameters:
  | $trim_spaces | If provided, a `bool` indicating whether or not this object should trim spaces.
Returns: A true value if this object trims spaces; a false value otherwise. Definition at line 478 of file Textile.php. References trim_spaces(). Referenced by Textile(), and trim_spaces().

Textile::version | ( |  | ) | `[static]`

| Returns the version of this release of Textile.php. *JHR* Returns: An `array` with keys 'text' and 'build' containing the text version and build ID of this release, respectively. Definition at line 3221 of file Textile.php.

## Member Data Documentation

Textile::$alignre`[private]`

| The `string` containing the regular expression pattern for the valid alignment codes. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 91 of file Textile.php.

Textile::$blocktags`[private]`

| The `string` containing the regular expression pattern for all block tags. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 145 of file Textile.php.

Textile::$clstyfiltre`[private]`

| The `string` containing the regular expression pattern for a class, ID, and/or filter specification. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 127 of file Textile.php.

Textile::$clstypadre`[private]`

| The `string` containing the regular expression pattern for a class, ID, and/or padding specification. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 109 of file Textile.php.

Textile::$clstyre`[private]`

| The `string` containing the regular expression pattern for a class and/or ID specification. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 118 of file Textile.php.

Textile::$codere`[private]`

| The `string` containing the regular expression pattern for a code block. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 136 of file Textile.php.

Textile::$halignre`[private]`

| The `string` containing the regular expression pattern for the valid horizontal alignment codes. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 82 of file Textile.php.

Textile::$Have_Entities = 1

| Definition at line 2636 of file Textile.php.

Textile::$imgalignre`[private]`

| The `string` containing the regular expression pattern for the valid image alignment codes. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 100 of file Textile.php.

Textile::$links = array()`[private]`

| The `array` containing the list of lookup links. Definition at line 152 of file Textile.php.

Textile::$options = array()`[private]`

| The `array` containing all of the Textile options for this object. Definition at line 37 of file Textile.php. Referenced by Textile().

Textile::$punct`[private]`

| The `string` containing the regular expression pattern for punctuation characters. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 55 of file Textile.php.

Textile::$repl = array()`[private]`

| The `array` containing `array`s of replacement blocks of text that are temporary removed from the input text to avoid processing. Different functions use this replacement functionality, and each shifts its own replacement array into position 0 and removes it when finished. This avoids having several replacement variables and/or functions clobbering eachothers' replacement blocks. Definition at line 165 of file Textile.php.

Textile::$tblalignre`[private]`

| The `string` containing the regular expression pattern for the valid table alignment codes. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 73 of file Textile.php.

Textile::$tmp = array()`[private]`

| The `array` containing temporary `string`s used in replacement callbacks. *JHR* Definition at line 173 of file Textile.php.

Textile::$urlre`[private]`

| The `string` containing the regular expression pattern for a URL. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 46 of file Textile.php.

Textile::$valignre`[private]`

| The `string` containing the regular expression pattern for the valid vertical alignment codes. This variable is initialized by `_create_re()` which is called in the contructor. Definition at line 64 of file Textile.php.

The documentation for this class was generated from the following file:

- Textile.php